Reinstate a customer
1 min
PUT
https://app.amberflo.io/customers/reinstate
Body Parameters
- bodymetadata.customer.ReinstateCustomerRequest.in
- customerIdstringrequiredDescription
Responses
200
- metadata.customer.CustomerDetails.out
- createTimeinteger<int64>Description
- updateTimeinteger<int64>Description
- deleteTimeinteger<int64>
- customerIdstringrequiredDescription
- customerNamestringrequiredDescription
- customerEmailstringDescription
- descriptionstringDescription
- enabledbooleanDescription
- testbooleanDescription
- lifecycleStagemetadata.customer.CustomerLifecycleStage.outDescription
- deactivateTimeStampinteger<int64>
- traitsmap<string, string>Description
- addressmetadata.customer.CustomerAddress.outDescription
- verifiedboolean
- line1stringrequired
- statestring
- citystringrequired
- postalCodestring
- countrystringrequired
curl
curl --request PUT \
--url https://app.amberflo.io/customers/reinstate \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"customerId": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"customerId": ""
});
var requestOptions = {
method: 'PUT',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/customers/reinstate", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/customers/reinstate")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"customerId": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/customers/reinstate"
payload = json.dumps({
"customerId": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"createTime": "",
"updateTime": "",
"deleteTime": "",
"customerId": "",
"customerName": "",
"customerEmail": "",
"description": "",
"enabled": false,
"test": false,
"lifecycleStage": "",
"deactivateTimeStamp": "",
"traits": "",
"address": {
"verified": false,
"line1": "",
"state": "",
"city": "",
"postalCode": "",
"country": ""
}
}This endpoint allows you to reinstate a previously deleted customer.
Reinstating unhides the customer from the list and paging endpoints, however the customer still remains in OFFBOARDED stage which cannot be changed.